<?php
namespace ThemeMountain;
?>
<?php while (have_posts()) : the_post();
	$thememountain_runtime_post_variables_array = TM_TemplateServices::get_current_page_data('');
	$thememountain_runtime_post_date = $thememountain_runtime_post_variables_array['post_date'];
	$thememountain_runtime_author_posts_url = $thememountain_runtime_post_variables_array['author_posts_url'];
	$thememountain_runtime_nickname = $thememountain_runtime_post_variables_array['nickname'];
	$thememountain_runtime_use_post_media = isset($thememountain_runtime_post_variables_array['options']['tm_use_post_media']) ? $thememountain_runtime_post_variables_array['options']['tm_use_post_media'] : FALSE;
	$thememountain_runtime_cat_name = isset($thememountain_runtime_post_variables_array['cat_name']) ? $thememountain_runtime_post_variables_array['cat_name'] : NULL;
	$thememountain_runtime_cat_ID = isset($thememountain_runtime_post_variables_array['cat_ID']) ? $thememountain_runtime_post_variables_array['cat_ID'] : NULL;
	// set the original settings value
	$thememountain_runtime_use_sidebar = $thememountain_runtime_post_variables_array['options']['tm_use_sidebar'];
	// tm_use_sidebar customizer settings conditionals
	if($thememountain_runtime_use_sidebar === 'customizer') {
		$thememountain_use_custom_settings_post = TM_Customizer::tm_get_theme_mod('tm_use_custom_settings_post');
		if($thememountain_use_custom_settings_post == 1) {
			$thememountain_runtime_use_sidebar = TM_Customizer::tm_get_theme_mod('tm_use_sidebar_post');
		} else {
			$thememountain_runtime_use_sidebar = TM_Customizer::tm_get_theme_mod('tm_use_sidebar_home');
		}
	}
	$thememountain_sticky_sidebar = (isset($thememountain_runtime_post_variables_array['options']['tm_sticky_sidebar'])) ? $thememountain_runtime_post_variables_array['options']['tm_sticky_sidebar'] : FALSE;
	$thememountain_sticky_sidebar_extra_space_top = (isset($thememountain_runtime_post_variables_array['options']['tm_sticky_sidebar_extra_space_top'])) ? $thememountain_runtime_post_variables_array['options']['tm_sticky_sidebar_extra_space_top'] : '';
	$thememountain_add_background_to_sidebar = (isset( $thememountain_runtime_post_variables_array['options']['tm_add_background_to_sidebar'])) ? $thememountain_runtime_post_variables_array['options']['tm_add_background_to_sidebar'] : FALSE;
	// TM_TemplateServices runtime variable cache used to hand over tm_use_sidebar settings.
	TM_TemplateServices::set_runtime_variable_cache( 'thememountain_use_sidebar', $thememountain_runtime_use_sidebar);
	TM_TemplateServices::set_runtime_variable_cache( 'thememountain_sticky_sidebar', $thememountain_sticky_sidebar);
	TM_TemplateServices::set_runtime_variable_cache( 'thememountain_sticky_sidebar_extra_space_top', $thememountain_sticky_sidebar_extra_space_top);
	TM_TemplateServices::set_runtime_variable_cache( 'thememountain_add_background_to_sidebar', $thememountain_add_background_to_sidebar);
	// category admin settings
	$thememountain_categories_limit_number = TM_ThemeServices::tm_admin_option('tm_post_settings','tm_categories_limit_number','5');
	// set column number accordingly
	if($thememountain_runtime_use_sidebar === 'left') {
		$thememountain_col_num = '9 push-3';
	} else if ($thememountain_runtime_use_sidebar === 'right') {
		$thememountain_col_num = '9';
	} else {
		$thememountain_col_num = '10 offset-1';
	}
	// fail safe
	if (empty($thememountain_runtime_use_sidebar)) {
		$thememountain_runtime_use_sidebar = 'none';
	}

	// Add Background to Post Content option
	$thememountain_add_background_to_post_content = (array_key_exists('tm_add_background_to_post_content', $thememountain_runtime_post_variables_array['options'])) ?$thememountain_runtime_post_variables_array['options']['tm_add_background_to_post_content'] : '';
?>
	<div class="section-block clearfix no-padding post-article">
		<!-- Post Meta -->
		<div class="post-info boxed<?php if($thememountain_runtime_use_sidebar === 'none') { echo ' center'; } ?>">
			<div class="row">
				<div class="column width-<?php echo esc_attr($thememountain_col_num); ?>">
					<span class="post-date"><?php echo esc_html($thememountain_runtime_post_date); ?></span>
					<?php if(isset($thememountain_runtime_cat_name)) { ?>
					<span class="post-categories"> / <?php
						$thememountain_categories = get_the_category();
						$thememountain_output_html = [];
						$thememountain_categories_counter = 0;
						foreach($thememountain_categories as $thememountain_category) {
							if($thememountain_categories_limit_number <= $thememountain_categories_counter) {
								break;
							}
							$thememountain_categories_counter ++;
							array_push($thememountain_output_html, '<a href="' . get_category_link( $thememountain_category->term_id ) . '" title="' . sprintf( esc_html__( "View all posts in %s" ,"thememountain-sartre" ), $thememountain_category->name ) . '" ' . '>' . $thememountain_category->name.'</a>');
						}
						echo implode(', ',$thememountain_output_html);
					?></span>
					<?php } ?>
					<?php
						if(has_tag()) { ?><span class="post-categories post-tags"> / <?php the_tags(); ?></span><?php }
					?> / <span class="post-autor"><?php if($thememountain_runtime_author_posts_url) { ?> By <a href="<?php echo esc_url($thememountain_runtime_author_posts_url); ?>" ><?php } ?><?php echo esc_html($thememountain_runtime_nickname); ?><?php if($thememountain_runtime_author_posts_url) { ?></a><?php } ?></span>
					<?php if(comments_open()) { ?><span class="post-comment"> / <a href="#comments" data-offset="-60" class="scroll-link"><?php comments_number( 'no comments', '1 comment', '% comments' ); ?></a></span><?php } else { ?>
					<span class="post-comment"> / <?php esc_html_e('Comments Closed',"thememountain-sartre"); ?></span>
					<?php } ?>
				</div>
			</div>
		</div>
		<!-- Post Meta End -->

		<div class="row">
			<!-- Content Inner -->
			<div class="column width-<?php echo esc_attr($thememountain_col_num); ?> content-inner blog-single-post">
				<article <?php post_class(); ?>>
					<?php
						if( $thememountain_runtime_use_post_media !== 'none' ) {
							get_template_part('block-parts/post_media');
						}
					?>
					<div class="post-content<?php if($thememountain_add_background_to_post_content == 1) echo ' with-background'; ?>">
						<?php TM_TemplateServices::get_filtered_content(); ?>
						<?php do_action('tm_post_social_list'); ?>
					</div>
					<?php if( wp_link_pages('echo=0') ): ?>
						<div class="row">
							<div class="column width-12">
								<?php wp_link_pages(['before' => '<nav class="page-nav"><p>' . esc_html__('Pages:', "thememountain-sartre"), 'after' => '</p></nav>']); ?>
							</div>
						</div>
					<?php endif; ?>
				</article>
				<?php comments_template( '', true); ?>
			</div>
			<?php
			if($thememountain_runtime_use_sidebar == 'right' || $thememountain_runtime_use_sidebar == 'left') {
				get_sidebar();
			}
			// delete runtime variable cache
			TM_TemplateServices::delete_runtime_variable_cache('thememountain_use_sidebar');
			TM_TemplateServices::delete_runtime_variable_cache('thememountain_sticky_sidebar');
			TM_TemplateServices::delete_runtime_variable_cache('thememountain_sticky_sidebar_extra_space_top');
			TM_TemplateServices::delete_runtime_variable_cache('thememountain_add_background_to_sidebar');
			?>
		</div>
	</div>
<?php endwhile; ?>
<?php
	get_template_part('block-parts/pagination','arrows_return_to_index');
?>